<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
############################ Version 20150909 ##############################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
require_once("Settings.php");
require_once("common.php");
############################################################################
$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('US Regional 24 Hour Surface Temperature Changes');
$showGizmo = true;  // set to false to exclude the gizmo
include("top.php");
############################################################################
##############################  Settings  ##################################
$useOnClick = false; // Use onclick instead of onmouseover to display a chart
$narrowWidth = 656; // Narrow map width
###########################  End of Settings ###############################
$wideWidth = 1280; // Initial widescreen map width.  Varies depending upon map type
$aspect = .75; // Initial aspect ratio
$divWidth = ($_SESSION['CSSwidescreen']==1 ? $wideWidth : $narrowWidth);
?>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
include("header.php");
############################################################################
include("menubar.php");
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? $wideWidth : $narrowWidth) ?>px; border:inset">
<?php } else { ?>
	<div id="main-copy" style="width:<?php echo $wideWidth?>px; border:inset">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/>
  <h2 align="center">US 24 Hour Temperature Change Chart<br/></h2>
    <div class="center" style="text-align:center; width:<?php echo $divWidth?>px">
        <?php echo ($divWidth!=$wideWidth?'<a href="https://dsx.weather.com/util/image/map/24h_temp_chg_1280x720.jpg" target="_blank" title="Larger Image in New Tab"':'')?>><img class="center" src="<?php echo getUniqueImageURL('https://dsx.weather.com/util/image/map/24h_temp_chg_1280x720.jpg')?>" alt="US 24 Hour Temperature Changes" style="width:<?php echo $divWidth?>px; height:<?php echo ($divWidth*.56)?>px"></img><?php echo ($divWidth!=$wideWidth?'</a>':'')?>
    </div>
    <div class="center" style="width:<?php echo $divWidth ?>px; text-align:center"><br/>
    <span style="font-size:10px;line-height:130%">Maps and Data Courtesy of <a href="https://weather.com/maps/health/achesandpains/24hourtempchange" target="_blank" title="Opens in New Tab">The Weather Channel</a>.<br/>
    <br/>Script by <a href="http://www.gwwilkins.org" target="_blank" title="Opens in New Tab">SE Lincoln Weather</a>.</span>
		</div>
  </div>
</div><!-- end main-copy -->
<?php
#date_default_timezone_set($SITE['tz']);	# Reset to default TimeZone
############################################################################
include("footer.php");
############################################################################
# End of Page
############################################################################
// -----------------------------------------------------------------------------
// Keep images fresh
// Adds timestamp to image making it unique
// -----------------------------------------------------------------------------
if (!function_exists('getUniqueImageURL')) {
	function getUniqueImageURL($image_url){
		$timestamp = time();
		if(strpos($image_url, '?')){
			$image_url = str_replace('?', "?$timestamp&", $image_url);
		}
		else{
			$image_url .= "?$timestamp";
		}
		return $image_url;
	}
}
// end of getUniqueImageURL
?>